package com.steerinfo.inPlantNavigation.controller;

import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.inPlantNavigation.exception.VertexAngEdgeException;
import com.steerinfo.inPlantNavigation.model.IPMMSVertex;
import com.steerinfo.inPlantNavigation.model.IPMMSVertexEdge;
import com.steerinfo.inPlantNavigation.service.IIPMMSVertexEdgeService;
import com.steerinfo.inPlantNavigation.service.IIPMMSVertexService;
import com.steerinfo.inPlantNavigation.service.impl.IPMMSVertexServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/${api.version}/ipmmsvertex")
public class IPMMSVertexController extends BaseRESTfulController {
    @Autowired
    private IIPMMSVertexService ipmmsVertexService;

    @Autowired
    private IIPMMSVertexEdgeService ipmmsVertexEdgeService;


    @GetMapping("/getObtainTheOptimalPath")
    public RESTfulResult getObtainTheOptimalPath(@RequestParam("startPoint") String startPoint,@RequestParam("endPoint")  String endPoint) throws VertexAngEdgeException {

        Map<String, List<IPMMSVertexEdge>> vertexEdgeList= ipmmsVertexEdgeService.initVertexEdge();
        Map<String, IPMMSVertex> vertexList = ipmmsVertexService.initIPMMSVertex();
        ArrayList<IPMMSVertex> obtainTheOptimalPath= ipmmsVertexService.getObtainTheOptimalPath(startPoint,endPoint,vertexEdgeList,vertexList);
        return success(obtainTheOptimalPath);
    }

    /**
     * 获取路径
     * @param startPoint
     * @param endPoint
     * @return
     * @throws Exception
     */
    @GetMapping("/getObtainTheOptimalPathTest")
    public RESTfulResult getObtainTheOptimalPathTest(@RequestParam("startPoint") String startPoint,@RequestParam("endPoint")  String endPoint) throws Exception{

        Map<String, List<IPMMSVertexEdge>> vertexEdgeList= ipmmsVertexEdgeService.initVertexEdgeTest2();
        Map<String, IPMMSVertex> vertexList = ipmmsVertexService.initIPMSVertexTest2();
        ArrayList<IPMMSVertex> obtainTheOptimalPath= ipmmsVertexService.getObtainTheOptimalPath(startPoint,endPoint,vertexEdgeList,vertexList);
//        String path="";
//        for(IPMMSVertex vertex:obtainTheOptimalPath){
//            path+=vertex.getAddressName()+"<<";
//        }
        return success(obtainTheOptimalPath);
    }

    /**
     * 测试点
     * @return
     * @throws IOException
     */
    @GetMapping("/vertexTest")
    public RESTfulResult vertexTest() throws IOException {
      return success(ipmmsVertexService.initIPMSVertexTest2().values());
    }

    /**
     * 测试边
     * @return
     * @throws IOException
     */
    @GetMapping("/vertexEdgeTest")
    public RESTfulResult vertexEdgeTest() throws IOException {
        return success(ipmmsVertexEdgeService.initVertexEdgeTest2());
    }
}