package com.steerinfo.inPlantNavigation.mapper;


import com.alibaba.fastjson.JSONObject;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.inPlantNavigation.model.MapVertex;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Mapper
public interface MapVertexMapper extends IBaseMapper<MapVertex, BigDecimal> {
    @Select("select seq__OTMS_MAPVERTEX.nextval from dual")
    BigDecimal selectMaxVertextId();

    @Select("select count(*) from MAP_VERTEX where ADDRESS_NAME = #{address}")
    int isVertexExist(Map<String, Object> map);

    @Select("select seq__OTMS_MAPVERTEXEDGE.nextval from dual")
    BigDecimal selectMaxEdgeId();

    @Select("select count(*) from MAP_VERTEX_EDGE where INVERTEX_ID = #{startId} AND OUTVERTEX_ID = #{endId}")
    int isEdgeExist(Map<String, Object> map);

    //@Select("SELECT * FROM MAP_VERTEX WHERE STATUS=0")
    List<MapVertex> findAllAvailable();

    //找订单路径细节
    Map<String, Object> findOrderDetails(String orderId);
    //找进出厂的大门的点
    String getVertexIdByGatePostId(String gatepostId);
    //找汽车衡
    String getVertexIdByCalculateId(String calculateId);
    //找作业点
    String getVertexIdByWarehouseId(String warehouseId);
    //查询导航选项,不包含路口、拐点等
    ArrayList<MapVertex> findSelections();

    List<Map<String, Object>> getMapVertex(Map<String, Object> map);

    List<Map<String, Object>> getMapEdge(Map<String, Object> map);
}