package com.steerinfo.route.controller;

import com.steerinfo.dil.feign.ColumnDataFeign;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import com.steerinfo.route.config.ImageFileUtils;
import com.steerinfo.route.model.TmstruckArrivalResult;
import com.steerinfo.route.service.ITmstruckArrivalResultService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.net.URLEncoder;
import java.text.SimpleDateFormat;
import java.util.*;

/**
 * TmstruckArrivalResult RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-06 07:38
 * 类描述
 * 修订历史：
 * 日期：2021-09-06
 * 作者：generator
 * 参考：
 * 描述：TmstruckArrivalResult RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/tmstruckarrivalresults")
public class TmstruckArrivalResultController extends BaseRESTfulController {

    @Autowired
    ImageFileUtils imageFileUtils;
    @Autowired
    ITmstruckArrivalResultService tmstruckArrivalResultService;

    @Autowired
    ColumnDataFeign columnDataFeign;

    @Autowired
    ColumnDataUtil columnDataUtil;

    /**
     * 新增抵达实绩信息
     * @param map
     * @return
     */
    @ApiOperation(value="新增抵达实绩信息")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "map", value = "抵达实绩map", required = false, dataType = "java.util.Map")
    })
    @PostMapping(value = "/addtmstruckArrivalResult2")
    public RESTfulResult addtmstruckArrivalResult2(@RequestBody(required = false) Map<String, Object> map){
        String orderNumber = (String) map.get("orderNumber");
        String resultArrivalAddress = (String) map.get("resultArrivalAddress");
        String resultFullContainerPhoto = (String) map.get("url");
        TmstruckArrivalResult tmstruckArrivalResult = new TmstruckArrivalResult();
        tmstruckArrivalResult.setResultArrivalAddress(resultArrivalAddress);
        tmstruckArrivalResult.setResultFullContainerPhoto(resultFullContainerPhoto);
        if(map.get("arrivalTime")!=null){
            tmstruckArrivalResult.setInsertTime(new Date((Long)map.get("arrivalTime")));
            tmstruckArrivalResult.setUpdateTime(new Date());
        }
        int i = tmstruckArrivalResultService.addtmstruckArrivalResult(orderNumber,tmstruckArrivalResult);
        return success(i);
    }

    @PostMapping(value = "/addtmstruckArrivalResult")
    public RESTfulResult addtmstruckArrivalResult(@RequestBody(required=false)Map<String,Object>  map ,String orderNumber, String resultArrivalAddress, String file) throws Exception {
        TmstruckArrivalResult tmstruckArrivalResult = new TmstruckArrivalResult();
        tmstruckArrivalResult.setResultArrivalAddress(resultArrivalAddress);
        tmstruckArrivalResult.setResultFullContainerPhoto(file);
        if(map.get("arrivalTime")!=null){
            tmstruckArrivalResult.setInsertTime(new Date((Long)map.get("arrivalTime")));
            tmstruckArrivalResult.setUpdateTime(new Date());
        }
        int i = tmstruckArrivalResultService.addtmstruckArrivalResult(orderNumber,tmstruckArrivalResult);
        return success(i);

    }

    @PostMapping(value = "/addtmstruckArrivalResultApp")
    public RESTfulResult addtmstruckArrivalResultApp(@RequestBody(required=false)Map<String,Object>  map ,String orderNumber, String resultArrivalAddress, String file) throws Exception {
        TmstruckArrivalResult tmstruckArrivalResult = new TmstruckArrivalResult();
        tmstruckArrivalResult.setResultArrivalAddress(resultArrivalAddress);
        tmstruckArrivalResult.setResultFullContainerPhoto(file);
        tmstruckArrivalResult.setPhoto1(""+map.get("photo1"));
        tmstruckArrivalResult.setPhoto2(""+map.get("photo2"));
        tmstruckArrivalResult.setPhoto3(""+map.get("photo3"));
        tmstruckArrivalResult.setPhoto4(""+map.get("photo4"));
        tmstruckArrivalResult.setPhoto5(""+map.get("photo5"));
        if(map.get("arrivalTime")!=null){
            tmstruckArrivalResult.setInsertTime(new Date((Long)map.get("arrivalTime")));
            tmstruckArrivalResult.setUpdateTime(new Date());
        }
        int i = tmstruckArrivalResultService.addtmstruckArrivalResult(orderNumber,tmstruckArrivalResult);
        return success(i);

    }

    @ApiOperation(value="展示抵达实绩信息")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "apiId(136)", value = "表头", required = false, dataType = "Interger")
    })
    @PostMapping("/getArrivalResultInfo")
    public RESTfulResult getArrivalResultInfo(@RequestBody(required=false) Map<String, Object> mapValue,
                                               Integer apiId,
                                               Integer pageNum,
                                               Integer pageSize){

        if(mapValue.containsKey("startTime")&&mapValue.containsKey("endTime")){
            Date startDate=new Date(Long.parseLong(mapValue.get("startTime").toString())) ;
            Date endDate=new Date(Long.parseLong(mapValue.get("endTime").toString())) ;
            Calendar ca = Calendar.getInstance();
            ca.setTime(endDate);
            ca.add(Calendar.DATE,1);
            SimpleDateFormat simpleDateFormat=new SimpleDateFormat("yyyy-MM-dd");
            String startTime1=simpleDateFormat.format(startDate);
            String endTime1=simpleDateFormat.format(ca.getTime());
            mapValue.replace("startTime",startTime1);
            mapValue.replace("endTime",endTime1);
        }
        List<Map<String, Object>> arrivalResultInfo = tmstruckArrivalResultService.getArrivalResultInfo(mapValue);
        PageHelper.startPage(pageNum,pageSize);
        List<Map<String, Object>> arrivalResultInfo1 = tmstruckArrivalResultService.getArrivalResultInfo(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId,arrivalResultInfo,arrivalResultInfo1);
        return success(pageList);
    }
    @ApiOperation("通过运输订单号获得收货地址的市区")
    @GetMapping("/getAddressDistrict")
    public String getAddressDistrict(@RequestParam(required = true) String orderNumber){
        String addressDistrict=tmstruckArrivalResultService.getAddressDistrict(orderNumber);
        return addressDistrict;
    }

    @PostMapping(value = "/uploadImage")
    public String uploadImage(String orderNumber,MultipartFile file) throws Exception {
        String url = imageFileUtils.updateFile(file);
        return url;
    }
}
