package com.steerinfo.route.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="收货实绩")
public class TmstruckReceiptResult implements IBasePO<BigDecimal> {
    /**
     * 主键ID(RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal resultId;

    /**
     * 总实绩ID(RESULT_TOTAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="总实绩ID",required=false)
    private BigDecimal resultTotalId;

    /**
     * 收货打卡地址(RESULT_ARRIVAL_ADDRESS,VARCHAR,500)
     */
    @ApiModelProperty(value="收货打卡地址",required=false)
    private String resultArrivalAddress;

    /**
     * 空货箱照片(所有照片都存放在这里)(RESULT_EMPTY_CONTAINER_PHOTO,VARCHAR,1200)
     */
    @ApiModelProperty(value="空货箱照片(所有照片都存放在这里)",required=false)
    private String resultEmptyContainerPhoto;

    /**
     * 已签字的送货单照片(RESULT_SIGNED_NOTE_PHOTO,VARCHAR,200)
     */
    @ApiModelProperty(value="已签字的送货单照片",required=false)
    private String resultSignedNotePhoto;

    /**
     * 客户签收单照片(RESULT_RECEIVE_NOTE_PHOTO,VARCHAR,200)
     */
    @ApiModelProperty(value="客户签收单照片",required=false)
    private String resultReceiveNotePhoto;

    /**
     * 运输距离(ORDER_MILEAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="运输距离",required=false)
    private Short orderMileage;

    /**
     * 异地库ID(WAREHOUSE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="异地库ID",required=false)
    private BigDecimal warehouseId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    @ApiModelProperty(value="",required=false)
    private Short status;

    @ApiModelProperty(value="",required=false)
    private String photo1;

    @ApiModelProperty(value="",required=false)
    private String photo2;

    @ApiModelProperty(value="",required=false)
    private String photo3;

    @ApiModelProperty(value="",required=false)
    private String photo4;

    @ApiModelProperty(value="",required=false)
    private String photo5;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultTotalId() {
        return resultTotalId;
    }

    public void setResultTotalId(BigDecimal resultTotalId) {
        this.resultTotalId = resultTotalId;
    }

    public String getResultArrivalAddress() {
        return resultArrivalAddress;
    }

    public void setResultArrivalAddress(String resultArrivalAddress) {
        this.resultArrivalAddress = resultArrivalAddress == null ? null : resultArrivalAddress.trim();
    }

    public String getResultEmptyContainerPhoto() {
        return resultEmptyContainerPhoto;
    }

    public void setResultEmptyContainerPhoto(String resultEmptyContainerPhoto) {
        this.resultEmptyContainerPhoto = resultEmptyContainerPhoto == null ? null : resultEmptyContainerPhoto.trim();
    }

    public String getResultSignedNotePhoto() {
        return resultSignedNotePhoto;
    }

    public void setResultSignedNotePhoto(String resultSignedNotePhoto) {
        this.resultSignedNotePhoto = resultSignedNotePhoto == null ? null : resultSignedNotePhoto.trim();
    }

    public String getResultReceiveNotePhoto() {
        return resultReceiveNotePhoto;
    }

    public void setResultReceiveNotePhoto(String resultReceiveNotePhoto) {
        this.resultReceiveNotePhoto = resultReceiveNotePhoto == null ? null : resultReceiveNotePhoto.trim();
    }

    public Short getOrderMileage() {
        return orderMileage;
    }

    public void setOrderMileage(Short orderMileage) {
        this.orderMileage = orderMileage;
    }

    public BigDecimal getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(BigDecimal warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public String getPhoto1() {
        return photo1;
    }

    public void setPhoto1(String photo1) {
        this.photo1 = photo1 == null ? null : photo1.trim();
    }

    public String getPhoto2() {
        return photo2;
    }

    public void setPhoto2(String photo2) {
        this.photo2 = photo2 == null ? null : photo2.trim();
    }

    public String getPhoto3() {
        return photo3;
    }

    public void setPhoto3(String photo3) {
        this.photo3 = photo3 == null ? null : photo3.trim();
    }

    public String getPhoto4() {
        return photo4;
    }

    public void setPhoto4(String photo4) {
        this.photo4 = photo4 == null ? null : photo4.trim();
    }

    public String getPhoto5() {
        return photo5;
    }

    public void setPhoto5(String photo5) {
        this.photo5 = photo5 == null ? null : photo5.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", resultTotalId=").append(resultTotalId);
        sb.append(", resultArrivalAddress=").append(resultArrivalAddress);
        sb.append(", resultEmptyContainerPhoto=").append(resultEmptyContainerPhoto);
        sb.append(", resultSignedNotePhoto=").append(resultSignedNotePhoto);
        sb.append(", resultReceiveNotePhoto=").append(resultReceiveNotePhoto);
        sb.append(", orderMileage=").append(orderMileage);
        sb.append(", warehouseId=").append(warehouseId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", status=").append(status);
        sb.append(", photo1=").append(photo1);
        sb.append(", photo2=").append(photo2);
        sb.append(", photo3=").append(photo3);
        sb.append(", photo4=").append(photo4);
        sb.append(", photo5=").append(photo5);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}